$title  Example 2: Directing MATPLOT Output to File

set t /1990*2030/, j /a,b,c,d/;

parameter a(t,j)  Random time series with a trend; 
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );


$setglobal gp_figure 1
$setglobal gp_key 4
$setglobal gp_opt1
$libinclude matplot A

$setglobal batch yes

$setglobal gp_opt1 "print -dpsc ex2.ps"
$libinclude matplot A

$setglobal gp_opt1 "print -depsc -epsi ex2.eps"
$libinclude matplot A

$setglobal gp_xscale 0.8
$setglobal gp_opt1 "print -djpeg ex2.jpg"
$libinclude matplot A

