$title  Example 4: Changes the graph size, y range and location of key:

set t /1990*2030/, j /a,b,c,d/;

set decade(t) / 1990 'michael', 2000, 2010, 2020, 2030/;

parameter a(t,j)  Example 4: Changing graph size and scaling ;
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

$setglobal labels decade

$setglobal gp_key 1
$setglobal gp_xscale 0.8

$setglobal gp_opt1 "xlabel('Year -- time step annual');"
$setglobal gp_opt2 "ylabel('Value');"
$setglobal gp_opt3 "grid"
$setglobal gp_opt4 "v = axis; v(3:4) = [0 3]; axis(v);"
$libinclude matplot A

$setglobal batch yes
$setglobal gp_opt5 "print -djpeg ex4.jpg"
$libinclude matplot A

