$title Example 9: Contour Plotting Example

set     i /1*20/;
alias (i,j);

parameter       a(i,j)  Evaluation of xy
                x(i)    Ages of individuals
                y(j)    Number of individuals;

x(i) = ord(i) - 10;
y(j) = ord(j) - 10;


loop((i,j), a(i,j) = x(i) * y(j); );

$setglobal gp_opt1 "xlabel('value of X');"
$setglobal gp_opt2 "ylabel('value of Y');"
$setglobal gp_opt3 "title('Evaluation of xy');"

$libinclude contour a i j

$setglobal batch yes
$setglobal gp_opt4 "print -dpsc -epsi ex9.ps"

$libinclude contour a i j

$setglobal gp_opt4 "print -djpeg ex9.jpg"

$libinclude contour a i j
